diff a/src/hotspot/share/cds/dumpAllocStats.hpp b/src/hotspot/share/cds/dumpAllocStats.hpp
--- a/src/hotspot/share/cds/dumpAllocStats.hpp
+++ b/src/hotspot/share/cds/dumpAllocStats.hpp
@@ -75,10 +75,11 @@
   int _num_klass_cp_entries_archived;
   int _num_klass_cp_entries_reverted;
   int _num_method_cp_entries;
   int _num_method_cp_entries_archived;
   int _num_method_cp_entries_reverted;
+  int _num_dynamic_proxy_classes;
 
 public:
   enum { RO = 0, RW = 1 };
 
   DumpAllocStats() {
@@ -94,10 +95,11 @@
     _num_klass_cp_entries_archived  = 0;
     _num_klass_cp_entries_reverted  = 0;
     _num_method_cp_entries          = 0;
     _num_method_cp_entries_archived = 0;
     _num_method_cp_entries_reverted = 0;
+    _num_dynamic_proxy_classes      = 0;
   };
 
   CompactHashtableStats* symbol_stats() { return &_symbol_stats; }
   CompactHashtableStats* string_stats() { return &_string_stats; }
 
@@ -144,10 +146,14 @@
     _num_method_cp_entries ++;
     _num_method_cp_entries_archived += archived ? 1 : 0;
     _num_method_cp_entries_reverted += reverted ? 1 : 0;
   }
 
+  void record_dynamic_proxy_class() {
+    _num_dynamic_proxy_classes ++;
+  }
+
   void print_stats(int ro_all, int rw_all);
 
   DEBUG_ONLY(void verify(int expected_byte_size, bool read_only) const);
 
 };
